Datasets
List dataset copies
GET
/
api
/
v1
/
dataset-copies
List dataset copies
curl --request GET \
--url https://dev.simforge.ai/api/v1/dataset-copies \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/v1/dataset-copies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/v1/dataset-copies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"source": {
"id": "<string>",
"name": "<string>"
},
"target": {
"id": "<string>",
"name": "<string>"
},
"scope": "dataset",
"state": "queued",
"progress": {
"total": 1,
"done": 1,
"copied": 1,
"skipped": 1,
"failed": 1,
"estimateSeconds": 1
},
"failures": [
{
"scenarioId": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>",
"subject": "<string>",
"detail": {}
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>"
}
]
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}Authorizations
A sfc_at_… access token from simforge login, or an sfk_… API key. An operation's security lists the scopes the credential must hold.
Response
The workspace's copies, newest first (at most 20).
Show child attributes
Show child attributes
⌘I
List dataset copies
curl --request GET \
--url https://dev.simforge.ai/api/v1/dataset-copies \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/v1/dataset-copies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/v1/dataset-copies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"source": {
"id": "<string>",
"name": "<string>"
},
"target": {
"id": "<string>",
"name": "<string>"
},
"scope": "dataset",
"state": "queued",
"progress": {
"total": 1,
"done": 1,
"copied": 1,
"skipped": 1,
"failed": 1,
"estimateSeconds": 1
},
"failures": [
{
"scenarioId": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>",
"subject": "<string>",
"detail": {}
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>"
}
]
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}